Package org.eclipse.draw2d.graph

# Class Rank

java.lang.Object
java.util.AbstractCollection<Node>
java.util.AbstractList<Node>
java.util.ArrayList<Node>
org.eclipse.draw2d.graph.NodeList
org.eclipse.draw2d.graph.Rank

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Node>`, `Collection<Node>`, `List<Node>`, `RandomAccess`, `SequencedCollection<Node>`

public class Rank extends NodeList
For Internal Use only.

Since:
  2.1.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`Rank()`

## Method Summary

Modifier and Type
Method
Description
`int`
`count()`
Returns the number of nodes in this rank.
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`void`
`sort()`
Deprecated.
Do not call

### Methods inherited from class org.eclipse.draw2d.graph.NodeList

`getNode`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, forEach, get, getFirst, getLast, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll, reversed`

## Constructor Details

### Rank

public Rank()

## Method Details

### count

public int count()
Returns the number of nodes in this rank.

Returns:
  the number of nodes

### equals

public boolean equals(Object o)

Specified by:
  `equals` in interface `Collection<Node>`
Specified by:
  `equals` in interface `List<Node>`
Overrides:
  `equals` in class `ArrayList<Node>`
See Also:
  - `Object.equals(Object)`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Collection<Node>`
Specified by:
  `hashCode` in interface `List<Node>`
Overrides:
  `hashCode` in class `ArrayList<Node>`
See Also:
  - `Overridden for speed based on equality.`

### sort

@Deprecated public void sort()
Deprecated.
Do not call